/********************************************************************/
/* Copyright (c) 2019 System fugen G.K. and Yuzi Mizuno          */
/* All rights reserved.                                             */
/********************************************************************/
/********************************************************************/
#include "stdafx.h"
#include "resource.h"
#include "fugen.h"
#include "Misc/UserPreference.h"
#include "IO/GLMglImporter.h"
#include "mg/Group.h"
#include "mg/Ifstream.h"
#include "mgGL/ConstructionPlane.h"
#include "mgGL/Context.h"
#include "mgGL/glViewAttrib.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

CGLMglImporter::CGLMglImporter()
	 : CGLFileImporter(IDS_FILTER_MGCL)
{
}

bool CGLMglImporter::Load(MGGroup& group){
	MGIfstream stream;
	int error=stream.open(GetFileName());
	if(error)
		return false;

	group.load(stream);
	//std::cout<<group;
	return true;
}
